<script lang="ts">
	import { mode } from "mode-watcher";

	interface Props {
		cls?: string;
	}

	let { cls = "w-auto h-8 md:h-10 lg:h-12 xl:h-14 object-contain" }: Props =
		$props();
</script>

{#if $mode === "light"}
	<img src="/logo-normal.png" alt="Logo" class={cls} />
{:else}
	<img src="/logo-white.png" alt="Logo" class={cls} />
{/if}
